SDL_GetIOProperties(3)

NAME
SDL_GetIOProperties - Get the properties associated with an SDL_IOStream.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

SDL_PropertiesID SDL_GetIOProperties(SDL_IOStream *context);

FUNCTION PARAMETERS

context
    a pointer to an SDL_IOStream structure.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
Do not use the same SDL_IOStream from two threads at once.

AVAILABILITY
This function is available since SDL 3.2.0.